Ask Your Question
0

Updating to 5.4 from Ubuntu PPA

asked 2012-11-13 20:24:39 -0500

KnS gravatar image

Hello, This morning, I had updated Sage to the recent version 5.4 from the Ubuntu PPA. The installation crashed but later I fixed with little help from the transcript of the Sage-Support mailing list to the following stage:

  • Sage runs with sudo permissions but not otherwise.
  • Without sudo privilege, the crash report is here.

The error I get is a name error: sage_prompt is not defined and a couple of inaccessible directories (I think the OS module is trying to access some directories which require sudo permissions.) There is also a warning: a config file is not getting created...

Hope someone can help me fix this.

edit retag flag offensive close merge delete

1 answer

Sort by ยป oldest newest most voted
0

answered 2012-11-27 09:35:39 -0500

KnS gravatar image

This problem has been now fixed (well, fixed back then!). There are various reasons behind this problem. Moving .sage into .sage.backup seems to help. Other solutions are discussed in this Sage-Support Mailing List Thread.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2012-11-13 20:24:39 -0500

Seen: 137 times

Last updated: Nov 27 '12